---
updatedAt: 2026-04-12T09:22:59.000Z
---

# Skyline v3 Background Color Recommendations

Initiate background color recommendation generation. May take up to 30 seconds.

> 📘 **URL:** POST /api/v1/creatives/colors/background/recommendations

# Request Parameters

| **Parameter**  | **Description**                                                                                                                  | **Type**       | **Required** | **Possible Values**      |
| :------------- | :------------------------------------------------------------------------------------------------------------------------------- | :------------- | :----------- | :----------------------- |
| `advertiserId` | The ID of the specific advertiser.                                                                                               | `integer`      | Y            | A valid advertiser ID    |
| `assetIds`     | List of asset IDs to analyze for color recommendations. Recommendations are generated for the combination of assetIds specified. | `array (UUID)` | Y            | Array of valid asset IDs |

## Sample Request

```curl
curl -X POST \
  'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/colors/background/recommendations' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <auth_token>' \
  --header 'WM_SEC.AUTH_SIGNATURE: **************' \
  --header 'WM_SEC.KEY_VERSION: 1' \
  --header 'WM_CONSUMER.ID: adfwe-v00-faasd2r-afs-asdfqeff' \
  --header 'WM_CONSUMER.INTIMESTAMP: 1565309779' \
  --data '{
 					 "advertiserId": 12345678, 
           "assetIds": ["123e4567-e89b-12d3-a456-426614174000", "987e6543-e21b-45d3-a123-456789abcdef"]
					}'
```

# Response

| **Element**        | **Description**                                                | **Type**        |
| ------------------ | -------------------------------------------------------------- | --------------- |
| `recommendationId` | Unique identifier for the background color recommendation job. | `string (UUID)` |
| `status`           | Status of the recommendation job.                              | `string`        |

## Sample Response

```json
[
  {
    "recommendationId": "123abc456-a00b-123a-a456-1234567890",
    "status": "PENDING"
  }
]
```